Skip to content
Developer

Redirects

Login and sessions1 EndpointsSocial Login / Redirects

Test oauth code received

POST/api/external_login/redirect_test/{provider}

Path parameters

providerrequiredstring

Request body application/json

  • dataFormLoginUser3
    Show fields (3)
    • codestring

      Code of the login form user.

    • typestring

      Type of the login form user.

    • client_idstring

      Identifier of the client the login form belongs to.

Responses

200Test oauth code receivedSuccess

Show fields (3)
  • successboolean
  • messagestring
  • error_codesarray<integer>
Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/external_login/redirect_test/42 \
  --header 'content-type: application/json' \
  --data '
{
  "data": {
    "code": "string",
    "type": "string",
    "client_id": "42"
  }
}
'
Response 200 application/json
{
  "success": true,
  "message": "string",
  "error_codes": [
    1
  ]
}